clear all;
clc;
syms t;
syms s;
% Ismert adatok
c = 0.3;            % fnysebessg
Z0 = 50;            % hullmimpedancia
h = 35;             % vezetkhossz
T = h/c;            % befutsi id
A = 2;              % gerjeszts amplitd
tau = 0.3*T;        % gerjesztsi id
R1 = 35;            % genertorellenlls
t0 = 0.2*T;         % vizsglt pont
T1 = 0;             % brzolsi id kezdete
T2 = 3*T;           % brzolsi id vge
time = [T1, T2];    % brzolsi intervallum
R = 80;             % lezr soros ellenlls
C = 47e-3;         % lezr soros kapacits
% Gerjeszts
i0 = A*(heaviside(t)-heaviside(t-tau));
I0 = laplace(i0);
% Reflexis tnyezk
r1 = (R1-Z0)/(R1+Z0);
Z2 = R + 1/(s*C);
r2 = (Z2-Z0)/(Z2+Z0);
% t=0 impedanciaoszt
Z10 = R1*Z0/(R1+Z0);
%Megolds
U1 = I0*Z10;
U = U1*(exp(-s*t0) + r2*exp(-s*(2*T-t0)) + r1*r2*exp(-s*(2*T+t0)));
u = ilaplace(U);
I = U1/Z0*(exp(-s*t0) - r2*exp(-s*(2*T-t0)) + r1*r2*exp(-s*(2*T+t0)));
i = 1000*ilaplace(I);
% brzols
figure(1)
ez1 = ezplot(matlabFunction(u),[T1,T2,-10,50]);
set(ez1,'color','blue');
set(ez1,'LineWidth',2);
title('Feszltsg')
xlabel('t [ns]');
ylabel('U [V]');
grid;
figure(2)
ez2 = ezplot(matlabFunction(i),[T1,T2,-1000,1000]);
set(ez2,'color','red');
set(ez2,'LineWidth',2);
title('ram')
xlabel('t [ns]');
ylabel('I [mA]');
grid;








